Bug 647229 - [vdsm] vdsm should filter out some devices [(usb, wlan) and less than 100Mbps?]
[vdsm] vdsm should filter out some devices [(usb, wlan) and less than 100Mbps?]
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.1
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Barak
Haim
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-27 11:55 EDT by Haim
Modified: 2014-01-12 19:47 EST (History)
10 users (show)

See Also:
Fixed In Version: vdsm-4.9-29.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-19 11:12:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2010-10-27 11:55:24 EDT
Description of problem:

vdsm should filter out network devices that are not Ethernet, and their link speed is under 100Mbps. 
example for such case is as 'usb0' device, which, in certain configuration, can use for IP communication, however, its link speed is about 100Mbps, which is not recommended\supported by rhevm, and such, we should filter it out and not show it in rhevm GUI, network interfaces tab.
Comment 2 Andrew Cathrow 2010-10-27 14:03:33 EDT
the risk here is that we don't do this right.
It's always easier for the user to ignore something (especially if we give them enough information) that it is for us to work on the correct logic to hide something.
Comment 6 David Naori 2011-02-09 12:29:00 EST
tested on vdsm-4.9-47, vdsm dose filter usb and wlan interfaces.

Note You need to log in before you can comment on or make changes to this bug.